Kwetsbaarheden verholpen in Oracle MySQL en MariaDB

Deze pagina gebruikt slimmigheden om officiële advisory platte tekst naar HTML om te zetten. Daarbij kan die informatie worden verminkt. De "Signed-PGP" versies waarnaar verwezen wordt zijn normatief (maar deze zijn minder leesbaar).
Publicatie Kans Schade    
  Versie 1.04 gisteren NCSC-2021-0902  
 
medium
high
Signed-PGP →  
gisteren
medium
high
NCSC-2021-0902 [1.04] Signed-PGP →
Kenmerken

Kenmerken

  • Denial-of-Service (DoS)
  • Manipulatie van gegevens
  • (Remote) code execution (Gebruikersrechten)
  • Toegang tot gevoelige gegevens
  • Toegang tot systeemgegevens
Omschrijving

Omschrijving

Oracle heeft kwetsbaarheden verholpen in de volgende MySQL-producten:

  • MySQL Workbench
  • MySQL Server
  • MySQL Cluster
  • MySQL Enterprise Monitor
  • MySQL Connectors

De kwetsbaarheden stellen een kwaadwillende mogelijk in staat aanvallen uit te voeren die leiden tot de volgende categorieën schade:

  • Denial-of-Service (DoS)
  • Manipulatie van gegevens
  • (Remote) code execution (Gebruikersrechten)
  • Toegang tot gevoelige gegevens
  • Toegang tot systeemgegevens

De kwetsbaarheid met kenmerk CVE-2021-3711 bevindt zich in OpenSSL zoals gebruikt door MySQL Server. Een ongeauthenticeerde kwaadwillende kan deze kwetsbaarheid mogelijk misbruiken om een Denial-of-Service te veroorzaken of willekeurige code uit te voeren. De kwetsbaarheid heeft een CVSS3.1-score van 9.8 gekregen.

------------------.------.------------------------------------- | CVE-ID | CVSS | Vector |

CVE-2021-202275.5AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
CVE-2021-35188.8AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
CVE-2021-37127.4AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:H
CVE-2021-229267.5AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356045.5AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:H
CVE-2021-356244.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:H/A:N
CVE-2021-37119.8AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
CVE-2021-355374.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355837.5AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356294.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-24784.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-24794.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-24816.5AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355464.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355754.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355774.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355914.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355964.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355976.5AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356025.0AV:N/AC:H/PR:H/UI:N/S:U/C:N/I:L/A:H
CVE-2021-356076.5AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356085.3AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356107.1AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:H
CVE-2021-356125.5AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:H
CVE-2021-356224.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356232.7AV:N/AC:L/PR:H/UI:N/S:U/C:L/I:N/A:N
CVE-2021-356252.7AV:N/AC:L/PR:H/UI:N/S:U/C:L/I:N/A:N
CVE-2021-356264.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356274.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356284.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356304.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:H/A:N
CVE-2021-356314.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356324.4AV:L/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356332.7AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:L
CVE-2021-356344.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356354.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356364.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356374.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356384.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356394.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356402.7AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:N
CVE-2021-356414.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356424.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356434.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356444.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356454.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356464.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356474.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-356484.9AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
CVE-2021-362227.5AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE-2021-355906.3AV:A/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
CVE-2021-355936.3AV:A/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
CVE-2021-355946.3AV:A/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
CVE-2021-355986.3AV:A/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
CVE-2021-356216.3AV:A/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
CVE-2021-355926.3AV:A/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
CVE-2021-229319.8AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
CVE-2021-355844.3AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L
CVE-2021-356133.7AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2021-356181.8AV:A/AC:H/PR:H/UI:R/S:U/C:N/I:N/A:L
CVE-2021-221128.8AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
CVE-2021-221187.8AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
CVE-2021-294255.3AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
CVE-2021-330375.3AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
CVE-2021-24715.9AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:H
------------------'------'-------------------------------------

Bereik

Bereik

Platforms Producten Versies

SUSE Linux Enterprise
Ubuntu

MariaDB Oracle MySQL
NetApp OnCommand Insight
NetApp Active IQ Unified Manager
NetApp SnapCenter Server

Oplossingen

Oplossingen

Oracle heeft updates beschikbaar gesteld om de kwetsbaarheden te verhelpen. Voor meer informatie, zie [Link]

NetApp

NetApp heeft updates en workarounds beschikbaar gesteld om de kwetsbaarheden te verhelpen in diverse producten. Meer informatie kunt u vinden op [Link]

SUSE

SUSE heeft updates beschikbaar gesteld om de kwetsbaarheid te verhelpen voor MariaDB in SUSE 12 en 15. U kunt deze aangepaste packages installeren door gebruik te maken van 'YaST'. U kunt de packages ook handmatig downloaden van de SUSE FTP-server (ftp.suse.com). Voor meer informatie, zie:

12 [Link]

15 [Link]

Ubuntu

Canonical heeft updates beschikbaar gesteld voor Ubuntu 18.04 LTS, 20.04 LTS en 21.04 om een groot deel van de kwetsbaarheden te verhelpen. U kunt de aangepaste packages installeren door gebruik te maken van 'apt-get update' en 'apt-get upgrade'. Meer informatie kunt u vinden op [Link]

CVE’s

CVE’s

CVE-2021-20227, CVE-2021-22112, CVE-2021-22118, CVE-2021-22926, CVE-2021-22931, CVE-2021-2471, CVE-2021-2478, CVE-2021-2479, CVE-2021-2481, CVE-2021-29425, CVE-2021-33037, CVE-2021-3518, CVE-2021-35537, CVE-2021-35546, CVE-2021-35575, CVE-2021-35577, CVE-2021-35583, CVE-2021-35584, CVE-2021-35590, CVE-2021-35591, CVE-2021-35592, CVE-2021-35593, CVE-2021-35594, CVE-2021-35596, CVE-2021-35597, CVE-2021-35598, CVE-2021-35602, CVE-2021-35604, CVE-2021-35607, CVE-2021-35608, CVE-2021-35610, CVE-2021-35612, CVE-2021-35613, CVE-2021-35618, CVE-2021-35621, CVE-2021-35622, CVE-2021-35623, CVE-2021-35624, CVE-2021-35625, CVE-2021-35626, CVE-2021-35627, CVE-2021-35628, CVE-2021-35629, CVE-2021-35630, CVE-2021-35631, CVE-2021-35632, CVE-2021-35633, CVE-2021-35634, CVE-2021-35635, CVE-2021-35636, CVE-2021-35637, CVE-2021-35638, CVE-2021-35639, CVE-2021-35640, CVE-2021-35641, CVE-2021-35642, CVE-2021-35643, CVE-2021-35644, CVE-2021-35645, CVE-2021-35646, CVE-2021-35647, CVE-2021-35648, CVE-2021-36222, CVE-2021-3711, CVE-2021-3712

Kans

Kans

Onderstaande tabel geeft in detail aan hoe wij tot de inschatting zijn gekomen hoe groot de kans is dat deze kwetsbaarheid in het doorsnee praktijkgeval kan worden misbruikt. De punten worden bij elkaar geteld.

medium
∑ = 25
Is de kwetsbaarheid aanwezig in de standaard configuratie/ installatie? Onduidelijk/Ja 3
Is er exploit-code beschikbaar? Nee (nog niet) 1
Wordt de kwetsbaarheid in de praktijk gebruikt? Nee (nog niet) 1
Zijn er technische details beschikbaar? Nee (nog niet) 1
Welke toegang is er nodig? LAN/directe omgeving 4
Vereiste credentials Geen 4
Hoe moeilijk is het om de kwetsbaarheid uit te buiten? Gemiddeld 2
Is er gebruikers interactie nodig? Geen handelingen 4
Wordt misbruik of een exploit verwacht? Ja binnenkort 3
Is er een oplossing beschikbaar? Korter dan twee maanden 2
Schade

Schade

Onderstaande tabel geeft in detail aan hoe wij tot de inschatting zijn gekomen voor de schade die bij een succesvolle aanval kan ontstaan. De hoogste inschaling bepaalt de totale kans op schade.

high
Denial of Service Ja, Infrastructuur dienst
high
Uitvoeren van willekeurige code Ja, Gebruikersrechten
medium
Rechten op afstand (remote [root-] shell) Nee
low
Verwerven lokale admin/root-rechten (privilege escalation) Nee
low
Lekken van (gevoelige) informatie Ja, Gebruikersdata
high
  Versie 1.04 gisteren NCSC-2021-0902  
 
medium
high
Signed-PGP →  
gisteren
medium
high
NCSC-2021-0902 [1.04] Signed-PGP →
Update

Update

NetApp heeft updates uitgebracht om de kwetsbaarheden te verhelpen in diverse producten.

  Versie 1.03 31-12-2021 NCSC-2021-0902  
 
medium
high
Signed-PGP →  
31-12-2021
medium
high
NCSC-2021-0902 [1.03] Signed-PGP →
Update

Update

SUSE heeft updates uitgebracht om de kwetsbaarheid met kenmerk CVE-2021-35604 te verhelpen voor MariaDB in SUSE 12.

  Versie 1.02 04-12-2021 NCSC-2021-0902  
 
medium
high
Signed-PGP →  
04-12-2021
medium
high
NCSC-2021-0902 [1.02] Signed-PGP →
Update

Update

SUSE heeft updates uitgebracht om de kwetsbaarheid met CVE-kenmerk CVE-2021-35604 te verhelpen.

  Versie 1.01 26-10-2021 NCSC-2021-0902  
 
medium
high
Signed-PGP →  
26-10-2021
medium
high
NCSC-2021-0902 [1.01] Signed-PGP →
Update

Update

Canonical heeft updates beschikbaar gesteld voor Ubuntu om een groot deel van de kwetsbaarheden te verhelpen.

  Versie 1.00 20-10-2021 NCSC-2021-0902  
 
medium
high
Signed-PGP →  
20-10-2021
medium
high
NCSC-2021-0902 [1.00] Signed-PGP →

Vrijwaringsverklaring

Door gebruik van deze security advisory gaat u akkoord met de navolgende voorwaarden. Ondanks dat het NCSC de grootst mogelijke zorg heeft betracht bij de samenstelling van dit beveiligingsadvies, kan het NCSC niet instaan voor de volledigheid, juistheid of (voortdurende) actualiteit van dit beveiligingsadvies. De informatie in dit beveiligingsadvies is uitsluitend bedoeld als algemene informatie voor professionele partijen. Aan de informatie in dit beveiligingsadvies kunnen geen rechten worden ontleend.
Het NCSC en de Staat zijn niet aansprakelijk voor enige schade ten gevolge van het gebruik of de onmogelijkheid van het gebruik van dit beveiligingsadvies, waaronder begrepen schade ten gevolge van de onjuistheid of onvolledigheid van de informatie in dit beveiligingsadvies.
Op dit beveiligingsadvies is Nederlands recht van toepassing. Alle geschillen in verband met en/of voortvloeiend uit dit beveiligingsadvies zullen worden voorgelegd aan de exclusief bevoegde rechter te Den Haag. Deze rechtskeuze geldt tevens voor de voorzieningenrechter in kort geding.